import java.io.PrintWriter;
class Spacer {
  Spacer(String path) {
    try {
      out_ = new PrintWriter(path);
    } catch (java.io.IOException e) {
      throw new RuntimeException(e);
    }
  }
  void flushNewlines() {
    while (num_newlines_ > 0) {
      out_.print('\n');
      num_newlines_--;
    }
  }
  void print(int i) {
    flushNewlines();
    out_.print(i);
  }
  void print(double d) {
    flushNewlines();
    out_.print(d);
  }
  void print(String s) {
    flushNewlines();
    out_.print(s);
  }
  void println() {
    num_newlines_++;
  }
  void printSpace() {
    flushNewlines();
    int i = ++i_;
    do {
      if (i % 2 == 0) {
        out_.print('\t');
      } else {
        out_.print(' ');
      }
      i = (i - 1) / 2;
    } while (i > 0);
  }
  void close(int kind) {
    if (kind >= 1) {
      if (kind >= 2) {
        printSpace();
        println();
        println();
      }
      flushNewlines();
    }
    out_.close();
  }
  void printName(int i) {
    flushNewlines();
    i++;
    StringBuilder sb = new StringBuilder();
    while (i > 0) {
      sb.append((char)('A' + (i - 1) % 26));
      i = (i - 1) / 26;
    }
    out_.print(sb.reverse().toString());
  }
  int i_ = 0;
  int num_newlines_ = 0;
  PrintWriter out_;
}
